## harfbuzz 8.3.0

=== debian/changelog ===
harfbuzz (8.3.0-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 01:19:37 +0000

harfbuzz (8.3.0-2build1) noble; urgency=medium

  * Rebuild against new glib2.0 with time64_t.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 29 Feb 2024 22:05:04 +0100

harfbuzz (8.3.0-2) unstable; urgency=medium

  * Team upload
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 20 Jan 2024 10:33:21 -0500

harfbuzz (8.3.0-1) experimental; urgency=medium

  * Team upload
  * New upstream version 8.3.0 (Closes: #1057964)
  * debian/libharfbuzz0b.symbols: Add new symbols
  * Add ${gir:Depends}, ${gir:Provides} to -dev package (Closes: #1061082)
  * d/control: Build-depend on GIR XML that is explicitly included

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 19 Jan 2024 21:14:42 -0500

harfbuzz (8.0.1-1) unstable; urgency=medium

  * New upstream version 8.0.1
  * Drop subset-Fix-cast-align-issue.patch, applied upstream
  * Update copyright holders

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Wed, 12 Jul 2023 22:45:57 +0200

=== debian/control ===
Source: harfbuzz
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>
Standards-Version: 4.6.2
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-gir,
 gir1.2-freetype2-2.0-dev,
 gir1.2-gobject-2.0-dev,
 meson (>= 0.55),
 pkg-config,
 libglib2.0-dev,
 libcairo2-dev,
 libchafa-dev,
 libfreetype-dev,
 libicu-dev,
 libgraphite2-dev,
 libgirepository1.0-dev,
 gtk-doc-tools,
Rules-Requires-Root: no
Homepage: https://www.freedesktop.org/wiki/Software/HarfBuzz
Vcs-Git: https://salsa.debian.org/freedesktop-team/harfbuzz.git
Vcs-Browser: https://salsa.debian.org/freedesktop-team/harfbuzz

Package: libharfbuzz0b
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: libharfbuzz0, libharfbuzz0a
Replaces: libharfbuzz0, libharfbuzz0a
Description: OpenType text shaping engine (shared library)
 HarfBuzz is an implementation of the OpenType Layout engine (aka layout
 engine) and the script-specific logic (aka shaping engine).
 .
 This package contains the shared libraries.

Package: libharfbuzz-gobject0
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: OpenType text shaping engine ICU backend (GObject library)
 HarfBuzz is an implementation of the OpenType Layout engine (aka layout
 engine) and the script-specific logic (aka shaping engine).
 .
 This package contains the GObject library, providing wrapper GObject type
 bindings for all HarfBuzz objects and enums.

Package: gir1.2-harfbuzz-0.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}, ${gir:Depends}
Description: OpenType text shaping engine (GObject introspection data)
 HarfBuzz is an implementation of the OpenType Layout engine (aka layout
 engine) and the script-specific logic (aka shaping engine).
 .
 This package contains introspection data for the GObject bindings library.

Package: libharfbuzz-icu0
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: OpenType text shaping engine ICU backend
 HarfBuzz is an implementation of the OpenType Layout engine (aka layout
 engine) and the script-specific logic (aka shaping engine).
 .
 This package contains the ICU backend.

Package: libharfbuzz-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends:
 ${gir:Depends},
 ${misc:Depends},
 libharfbuzz0b (= ${binary:Version}),
 libharfbuzz-icu0 (= ${binary:Version}),
 libharfbuzz-gobject0 (= ${binary:Version}),
 libharfbuzz-subset0 (= ${binary:Version}),
 libharfbuzz-cairo0 (= ${binary:Version}),
 gir1.2-harfbuzz-0.0 (= ${binary:Version}),
 libglib2.0-dev,
 libgraphite2-dev,
 libicu-dev,
 libfreetype-dev,
Provides: ${gir:Provides},
Description: Development files for OpenType text shaping engine
 HarfBuzz is an implementation of the OpenType Layout engine (aka layout
 engine) and the script-specific logic (aka shaping engine).
 .
 This package contains the header files and static libraries for the
 HarfBuzz library.

Package: libharfbuzz-bin
Architecture: any
Section: utils
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: OpenType text shaping engine (utility)
 HarfBuzz is an implementation of the OpenType Layout engine (aka layout
 engine) and the script-specific logic (aka shaping engine).
 .
 This package contains a command line interface for the HarfBuzz library.

Package: libharfbuzz-subset0
Multi-Arch: same
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: OpenType text shaping engine (subset library)
 HarfBuzz is an implementation of the OpenType Layout engine (aka layout
 engine) and the script-specific logic (aka shaping engine).
 .
 This package contains the library for subsetting fonts. Subsetting reduces
 codepoint coverage of font files and removes unnecessary data.

Package: libharfbuzz-cairo0
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: OpenType text shaping engine Cairo backend
 HarfBuzz is an implementation of the OpenType Layout engine (aka layout
 engine) and the script-specific logic (aka shaping engine).
 .
 This package contains the Cairo backend.

Package: libharfbuzz-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Documentation files for the HarfBuzz library
 HarfBuzz is an implementation of the OpenType Layout engine (aka layout
 engine) and the script-specific logic (aka shaping engine).
 .
 This package contains the HTML documentation for the HarfBuzz library.

Package: libharfbuzz0-udeb
Package-Type: udeb
Architecture: any
Section: debian-installer
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: OpenType text shaping engine
 HarfBuzz is an implementation of the OpenType Layout engine (aka layout
 engine) and the script-specific logic (aka shaping engine).

=== debian/rules ===
#!/usr/bin/make -f

# Needed for glib-mkenums to work with UTF-8 input
export LC_ALL=C.UTF-8

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

%:
	dh $@ --buildsystem=meson --without autoreconf

override_dh_auto_configure:
	dh_auto_configure --builddir build-main -- -Dauto_features=enabled -Dgraphite2=enabled
	dh_auto_configure --builddir build-udeb -- -Dauto_features=enabled -Dgraphite2=disabled -Dchafa=disabled

override_dh_auto_clean:
	dh_auto_clean --builddir build-main
	dh_auto_clean --builddir build-udeb

override_dh_auto_build:
	dh_auto_build --builddir build-main
	dh_auto_build --builddir build-udeb

override_dh_auto_test:
	dh_auto_test --builddir build-main
	dh_auto_test --builddir build-udeb

override_dh_auto_install:
	dh_auto_install --builddir build-main

override_dh_makeshlibs:
	dh_makeshlibs --add-udeb="libharfbuzz0-udeb"

## harfbuzz 9.0.0

=== debian/changelog ===
harfbuzz (9.0.0-1ubuntu0.1) oracular-security; urgency=medium

  * SECURITY UPDATE: heap-based buffer overflow
    - debian/patches/CVE-2024-56732.patch: guard against bad UTF-8 in
      src/hb-cairo.cc, src/hb-utf.hh.
    - CVE-2024-56732

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 13 Jan 2025 12:55:55 -0500

harfbuzz (9.0.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 9.0.0
  * debian/*.symbols: Add new symbols

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 14 Aug 2024 11:51:31 -0400

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,6 @@
  gir1.2-freetype2-2.0-dev,
  gir1.2-gobject-2.0-dev,
  meson (>= 0.55),
- pkg-config,
  libglib2.0-dev,
  libcairo2-dev,
  libchafa-dev,

## harfbuzz 10.0.1

=== debian/changelog ===
harfbuzz (10.0.1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 10.0.1
  * debian/libharfbuzz0b.symbols: Add new symbols
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 17 Oct 2024 14:26:03 -0400

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: harfbuzz
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
+Maintainer: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
 Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-gir,

## harfbuzz 10.1.0

=== debian/changelog ===
harfbuzz (10.1.0-2) unstable; urgency=high

  * Team upload
  * SECURITY UPDATE: Heap-based buffer overflow (Closes: #1091529)
    - Cherry-pick upstream fix for the hb_cairo_glyphs_from_buffer function
    - CVE-2024-56732
  * debian/upstream/metadata: Add security contact

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 28 Dec 2024 12:53:25 -0500

harfbuzz (10.1.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 10.1.0
  * debian/libharfbuzz0b.symbols: Add new symbols
  * Update Homepage

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 06 Dec 2024 23:20:19 -0500

## harfbuzz 10.2.0

=== meson_options.txt ===
# HarfBuzz feature options
option('glib', type: 'feature', value: 'auto',
  description: 'Enable GLib unicode functions')
option('gobject', type: 'feature', value: 'auto',
  description: 'Enable GObject bindings')
option('cairo', type: 'feature', value: 'auto',
  description: 'Use Cairo graphics library')
option('chafa', type: 'feature', value: 'auto',
  description: 'Use Chafa terminal graphics library')
option('icu', type: 'feature', value: 'auto',
  description: 'Enable ICU library unicode functions')
option('graphite', type: 'feature', value: 'disabled',
  description: 'Deprecated use graphite2 option instead')
option('graphite2', type: 'feature', value: 'disabled',
  description: 'Enable Graphite2 complementary shaper')
option('freetype', type: 'feature', value: 'auto',
  description: 'Enable freetype interop helpers')
option('gdi', type: 'feature', value: 'disabled',
  description: 'Enable GDI helpers and Uniscribe shaper backend (Windows only)')
option('directwrite', type: 'feature', value: 'disabled',
  description: 'Enable DirectWrite shaper backend on Windows (experimental)')
option('coretext', type: 'feature', value: 'disabled',
  description: 'Enable CoreText shaper backend on macOS')
option('wasm', type: 'feature', value: 'disabled',
  description: 'Enable WebAssembly shaper backend (experimental)')

# Common feature options
option('tests', type: 'feature', value: 'enabled', yield: true,
  description: 'Enable or disable unit tests')
option('introspection', type: 'feature', value: 'auto', yield: true,
  description: 'Generate gobject-introspection bindings (.gir/.typelib files)')
option('docs', type: 'feature', value: 'auto', yield: true,
  description: 'Generate documentation with gtk-doc')
option('doc_tests', type: 'boolean', value: false,
  description: 'Run gtkdoc-check tests')
option('utilities', type: 'feature', value: 'enabled', yield: true,
  description: 'Build harfbuzz utils')

option('benchmark', type: 'feature', value: 'disabled',
  description: 'Enable benchmark tests')
option('icu_builtin', type: 'boolean', value: false,
  description: 'Don\'t separate ICU support as harfbuzz-icu module')
option('with_libstdcxx', type: 'boolean', value: false,
  description: 'Allow linking with libstdc++')
option('experimental_api', type: 'boolean', value: false,
  description: 'Enable experimental APIs')
option('ragel_subproject', type: 'boolean', value: false,
  description: 'Build Ragel subproject if no suitable version is found')
option('fuzzer_ldflags', type: 'string',
  description: 'Extra LDFLAGS used during linking of fuzzing binaries')

# Install directory options
option('cmakepackagedir', type: 'string',
  description: 'CMake package configuration install directory')

=== .ci/requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.11
# by the following command:
#
#    pip-compile --allow-unsafe --generate-hashes --output-file=.ci/requirements.txt .ci/requirements.in
#
fonttools==4.55.3 \
    --hash=sha256:07f8288aacf0a38d174445fc78377a97fb0b83cfe352a90c9d9c1400571963c7 \
    --hash=sha256:11e5de1ee0d95af4ae23c1a138b184b7f06e0b6abacabf1d0db41c90b03d834b \
    --hash=sha256:1bc7ad24ff98846282eef1cbeac05d013c2154f977a79886bb943015d2b1b261 \
    --hash=sha256:1dcc07934a2165ccdc3a5a608db56fb3c24b609658a5b340aee4ecf3ba679dc0 \
    --hash=sha256:22f38464daa6cdb7b6aebd14ab06609328fe1e9705bb0fcc7d1e69de7109ee02 \
    --hash=sha256:27e4ae3592e62eba83cd2c4ccd9462dcfa603ff78e09110680a5444c6925d841 \
    --hash=sha256:3983313c2a04d6cc1fe9251f8fc647754cf49a61dac6cb1e7249ae67afaafc45 \
    --hash=sha256:529cef2ce91dc44f8e407cc567fae6e49a1786f2fefefa73a294704c415322a4 \
    --hash=sha256:5323a22eabddf4b24f66d26894f1229261021dacd9d29e89f7872dd8c63f0b8b \
    --hash=sha256:54153c49913f45065c8d9e6d0c101396725c5621c8aee744719300f79771d75a \
    --hash=sha256:546565028e244a701f73df6d8dd6be489d01617863ec0c6a42fa25bf45d43048 \
    --hash=sha256:5480673f599ad410695ca2ddef2dfefe9df779a9a5cda89503881e503c9c7d90 \
    --hash=sha256:5e8d657cd7326eeaba27de2740e847c6b39dde2f8d7cd7cc56f6aad404ddf0bd \
    --hash=sha256:62d65a3022c35e404d19ca14f291c89cc5890032ff04f6c17af0bd1927299674 \
    --hash=sha256:6314bf82c54c53c71805318fcf6786d986461622dd926d92a465199ff54b1b72 \
    --hash=sha256:7a8aa2c5e5b8b3bcb2e4538d929f6589a5c6bdb84fd16e2ed92649fb5454f11c \
    --hash=sha256:827e95fdbbd3e51f8b459af5ea10ecb4e30af50221ca103bea68218e9615de07 \
    --hash=sha256:859c358ebf41db18fb72342d3080bce67c02b39e86b9fbcf1610cca14984841b \
    --hash=sha256:86721fbc389ef5cc1e2f477019e5069e8e4421e8d9576e9c26f840dbb04678de \
    --hash=sha256:89bdc5d88bdeec1b15af790810e267e8332d92561dce4f0748c2b95c9bdf3926 \
    --hash=sha256:8c4491699bad88efe95772543cd49870cf756b019ad56294f6498982408ab03e \
    --hash=sha256:8c5ec45428edaa7022f1c949a632a6f298edc7b481312fc7dc258921e9399628 \
    --hash=sha256:8e75f12c82127486fac2d8bfbf5bf058202f54bf4f158d367e41647b972342ca \
    --hash=sha256:a430178ad3e650e695167cb53242dae3477b35c95bef6525b074d87493c4bf29 \
    --hash=sha256:a8c2794ded89399cc2169c4d0bf7941247b8d5932b2659e09834adfbb01589aa \
    --hash=sha256:aca318b77f23523309eec4475d1fbbb00a6b133eb766a8bdc401faba91261abe \
    --hash=sha256:ae3b6600565b2d80b7c05acb8e24d2b26ac407b27a3f2e078229721ba5698427 \
    --hash=sha256:aedbeb1db64496d098e6be92b2e63b5fac4e53b1b92032dfc6988e1ea9134a4d \
    --hash=sha256:aee3b57643827e237ff6ec6d28d9ff9766bd8b21e08cd13bff479e13d4b14765 \
    --hash=sha256:b54baf65c52952db65df39fcd4820668d0ef4766c0ccdf32879b77f7c804d5c5 \
    --hash=sha256:b586ab5b15b6097f2fb71cafa3c98edfd0dba1ad8027229e7b1e204a58b0e09d \
    --hash=sha256:b8d5e8916c0970fbc0f6f1bece0063363bb5857a7f170121a4493e31c3db3314 \
    --hash=sha256:bc5dbb4685e51235ef487e4bd501ddfc49be5aede5e40f4cefcccabc6e60fb4b \
    --hash=sha256:bdcc9f04b36c6c20978d3f060e5323a43f6222accc4e7fcbef3f428e216d96af \
    --hash=sha256:c3ca99e0d460eff46e033cd3992a969658c3169ffcd533e0a39c63a38beb6831 \
    --hash=sha256:caf8230f3e10f8f5d7593eb6d252a37caf58c480b19a17e250a63dad63834cf3 \
    --hash=sha256:cd70de1a52a8ee2d1877b6293af8a2484ac82514f10b1c67c1c5762d38073e56 \
    --hash=sha256:cf4fe7c124aa3f4e4c1940880156e13f2f4d98170d35c749e6b4f119a872551e \
    --hash=sha256:d342e88764fb201286d185093781bf6628bbe380a913c24adf772d901baa8276 \
    --hash=sha256:da9da6d65cd7aa6b0f806556f4985bcbf603bf0c5c590e61b43aa3e5a0f822d0 \
    --hash=sha256:dc5294a3d5c84226e3dbba1b6f61d7ad813a8c0238fceea4e09aa04848c3d851 \
    --hash=sha256:dd68c87a2bfe37c5b33bcda0fba39b65a353876d3b9006fde3adae31f97b3ef5 \
    --hash=sha256:e6e8766eeeb2de759e862004aa11a9ea3d6f6d5ec710551a88b476192b64fd54 \
    --hash=sha256:e894b5bd60d9f473bed7a8f506515549cc194de08064d829464088d23097331b \
    --hash=sha256:eb6ca911c4c17eb51853143624d8dc87cdcdf12a711fc38bf5bd21521e79715f \
    --hash=sha256:ed63959d00b61959b035c7d47f9313c2c1ece090ff63afea702fe86de00dbed4 \
    --hash=sha256:f412604ccbeee81b091b420272841e5ec5ef68967a9790e80bffd0e30b8e2977 \
    --hash=sha256:f7d66c15ba875432a2d2fb419523f5d3d347f91f48f57b8b08a2dfc3c39b8a3f \
    --hash=sha256:f9e736f60f4911061235603a6119e72053073a12c6d7904011df2d8fad2c0e35 \
    --hash=sha256:fb594b5a99943042c702c550d5494bdd7577f6ef19b0bc73877c948a63184a32
    # via -r requirements-fonttools.in
gcovr==5.0 \
    --hash=sha256:1d80264cbaadff356b3dda71b8c62b3aa803e5b3eb6d526a24932cd6660a2576 \
    --hash=sha256:8c49ebcfc5a98b56dd900c687aad0258ac86093d2f81a1417905193ab45fe69f
    # via -r requirements.in
jinja2==3.1.5 \
    --hash=sha256:8fefff8dc3034e27bb80d67c671eb8a9bc424c0ef4c0826edbff304cceff43bb \
    --hash=sha256:aba0f4dc9ed8013c424088f68a5c226f7d6097ed89b246d7749c2ec4175c6adb
    # via gcovr
lxml==4.9.3 \
    --hash=sha256:05186a0f1346ae12553d66df1cfce6f251589fea3ad3da4f3ef4e34b2d58c6a3 \
    --hash=sha256:075b731ddd9e7f68ad24c635374211376aa05a281673ede86cbe1d1b3455279d \
    --hash=sha256:081d32421db5df44c41b7f08a334a090a545c54ba977e47fd7cc2deece78809a \
    --hash=sha256:0a3d3487f07c1d7f150894c238299934a2a074ef590b583103a45002035be120 \
    --hash=sha256:0bfd0767c5c1de2551a120673b72e5d4b628737cb05414f03c3277bf9bed3305 \
    --hash=sha256:0c0850c8b02c298d3c7006b23e98249515ac57430e16a166873fc47a5d549287 \
    --hash=sha256:0e2cb47860da1f7e9a5256254b74ae331687b9672dfa780eed355c4c9c3dbd23 \
    --hash=sha256:120fa9349a24c7043854c53cae8cec227e1f79195a7493e09e0c12e29f918e52 \
    --hash=sha256:1247694b26342a7bf47c02e513d32225ededd18045264d40758abeb3c838a51f \
    --hash=sha256:141f1d1a9b663c679dc524af3ea1773e618907e96075262726c7612c02b149a4 \
    --hash=sha256:14e019fd83b831b2e61baed40cab76222139926b1fb5ed0e79225bc0cae14584 \
    --hash=sha256:1509dd12b773c02acd154582088820893109f6ca27ef7291b003d0e81666109f \
    --hash=sha256:17a753023436a18e27dd7769e798ce302963c236bc4114ceee5b25c18c52c693 \
    --hash=sha256:1e224d5755dba2f4a9498e150c43792392ac9b5380aa1b845f98a1618c94eeef \
    --hash=sha256:1f447ea5429b54f9582d4b955f5f1985f278ce5cf169f72eea8afd9502973dd5 \
    --hash=sha256:23eed6d7b1a3336ad92d8e39d4bfe09073c31bfe502f20ca5116b2a334f8ec02 \
    --hash=sha256:25f32acefac14ef7bd53e4218fe93b804ef6f6b92ffdb4322bb6d49d94cad2bc \
    --hash=sha256:2c74524e179f2ad6d2a4f7caf70e2d96639c0954c943ad601a9e146c76408ed7 \
    --hash=sha256:303bf1edce6ced16bf67a18a1cf8339d0db79577eec5d9a6d4a80f0fb10aa2da \
    --hash=sha256:3331bece23c9ee066e0fb3f96c61322b9e0f54d775fccefff4c38ca488de283a \
    --hash=sha256:3e9bdd30efde2b9ccfa9cb5768ba04fe71b018a25ea093379c857c9dad262c40 \
    --hash=sha256:411007c0d88188d9f621b11d252cce90c4a2d1a49db6c068e3c16422f306eab8 \
    --hash=sha256:42871176e7896d5d45138f6d28751053c711ed4d48d8e30b498da155af39aebd \
    --hash=sha256:46f409a2d60f634fe550f7133ed30ad5321ae2e6630f13657fb9479506b00601 \
    --hash=sha256:48628bd53a426c9eb9bc066a923acaa0878d1e86129fd5359aee99285f4eed9c \
    --hash=sha256:48d6ed886b343d11493129e019da91d4039826794a3e3027321c56d9e71505be \
    --hash=sha256:4930be26af26ac545c3dffb662521d4e6268352866956672231887d18f0eaab2 \
    --hash=sha256:4aec80cde9197340bc353d2768e2a75f5f60bacda2bab72ab1dc499589b3878c \
    --hash=sha256:4c28a9144688aef80d6ea666c809b4b0e50010a2aca784c97f5e6bf143d9f129 \
    --hash=sha256:4d2d1edbca80b510443f51afd8496be95529db04a509bc8faee49c7b0fb6d2cc \
    --hash=sha256:4dd9a263e845a72eacb60d12401e37c616438ea2e5442885f65082c276dfb2b2 \
    --hash=sha256:4f1026bc732b6a7f96369f7bfe1a4f2290fb34dce00d8644bc3036fb351a4ca1 \
    --hash=sha256:4fb960a632a49f2f089d522f70496640fdf1218f1243889da3822e0a9f5f3ba7 \
    --hash=sha256:50670615eaf97227d5dc60de2dc99fb134a7130d310d783314e7724bf163f75d \
    --hash=sha256:50baa9c1c47efcaef189f31e3d00d697c6d4afda5c3cde0302d063492ff9b477 \
    --hash=sha256:53ace1c1fd5a74ef662f844a0413446c0629d151055340e9893da958a374f70d \
    --hash=sha256:5515edd2a6d1a5a70bfcdee23b42ec33425e405c5b351478ab7dc9347228f96e \
    --hash=sha256:56dc1f1ebccc656d1b3ed288f11e27172a01503fc016bcabdcbc0978b19352b7 \
    --hash=sha256:578695735c5a3f51569810dfebd05dd6f888147a34f0f98d4bb27e92b76e05c2 \
    --hash=sha256:57aba1bbdf450b726d58b2aea5fe47c7875f5afb2c4a23784ed78f19a0462574 \
    --hash=sha256:57d6ba0ca2b0c462f339640d22882acc711de224d769edf29962b09f77129cbf \
    --hash=sha256:5c245b783db29c4e4fbbbfc9c5a78be496c9fea25517f90606aa1f6b2b3d5f7b \
    --hash=sha256:5c31c7462abdf8f2ac0577d9f05279727e698f97ecbb02f17939ea99ae8daa98 \
    --hash=sha256:64f479d719dc9f4c813ad9bb6b28f8390360660b73b2e4beb4cb0ae7104f1c12 \
    --hash=sha256:65299ea57d82fb91c7f019300d24050c4ddeb7c5a190e076b5f48a2b43d19c42 \
    --hash=sha256:6689a3d7fd13dc687e9102a27e98ef33730ac4fe37795d5036d18b4d527abd35 \
    --hash=sha256:690dafd0b187ed38583a648076865d8c229661ed20e48f2335d68e2cf7dc829d \
    --hash=sha256:6fc3c450eaa0b56f815c7b62f2b7fba7266c4779adcf1cece9e6deb1de7305ce \
    --hash=sha256:704f61ba8c1283c71b16135caf697557f5ecf3e74d9e453233e4771d68a1f42d \
    --hash=sha256:71c52db65e4b56b8ddc5bb89fb2e66c558ed9d1a74a45ceb7dcb20c191c3df2f \
    --hash=sha256:71d66ee82e7417828af6ecd7db817913cb0cf9d4e61aa0ac1fde0583d84358db \
    --hash=sha256:7d298a1bd60c067ea75d9f684f5f3992c9d6766fadbc0bcedd39750bf344c2f4 \
    --hash=sha256:8b77946fd508cbf0fccd8e400a7f71d4ac0e1595812e66025bac475a8e811694 \
    --hash=sha256:8d7e43bd40f65f7d97ad8ef5c9b1778943d02f04febef12def25f7583d19baac \
    --hash=sha256:8df133a2ea5e74eef5e8fc6f19b9e085f758768a16e9877a60aec455ed2609b2 \
    --hash=sha256:8ed74706b26ad100433da4b9d807eae371efaa266ffc3e9191ea436087a9d6a7 \
    --hash=sha256:92af161ecbdb2883c4593d5ed4815ea71b31fafd7fd05789b23100d081ecac96 \
    --hash=sha256:97047f0d25cd4bcae81f9ec9dc290ca3e15927c192df17331b53bebe0e3ff96d \
    --hash=sha256:9719fe17307a9e814580af1f5c6e05ca593b12fb7e44fe62450a5384dbf61b4b \
    --hash=sha256:9767e79108424fb6c3edf8f81e6730666a50feb01a328f4a016464a5893f835a \
    --hash=sha256:9a92d3faef50658dd2c5470af249985782bf754c4e18e15afb67d3ab06233f13 \
    --hash=sha256:9bb6ad405121241e99a86efff22d3ef469024ce22875a7ae045896ad23ba2340 \
    --hash=sha256:9e28c51fa0ce5674be9f560c6761c1b441631901993f76700b1b30ca6c8378d6 \
    --hash=sha256:aca086dc5f9ef98c512bac8efea4483eb84abbf926eaeedf7b91479feb092458 \
    --hash=sha256:ae8b9c6deb1e634ba4f1930eb67ef6e6bf6a44b6eb5ad605642b2d6d5ed9ce3c \
    --hash=sha256:b0a545b46b526d418eb91754565ba5b63b1c0b12f9bd2f808c852d9b4b2f9b5c \
    --hash=sha256:b4e4bc18382088514ebde9328da057775055940a1f2e18f6ad2d78aa0f3ec5b9 \
    --hash=sha256:b6420a005548ad52154c8ceab4a1290ff78d757f9e5cbc68f8c77089acd3c432 \
    --hash=sha256:b86164d2cff4d3aaa1f04a14685cbc072efd0b4f99ca5708b2ad1b9b5988a991 \
    --hash=sha256:bb3bb49c7a6ad9d981d734ef7c7193bc349ac338776a0360cc671eaee89bcf69 \
    --hash=sha256:bef4e656f7d98aaa3486d2627e7d2df1157d7e88e7efd43a65aa5dd4714916cf \
    --hash=sha256:c0781a98ff5e6586926293e59480b64ddd46282953203c76ae15dbbbf302e8bb \
    --hash=sha256:c2006f5c8d28dee289f7020f721354362fa304acbaaf9745751ac4006650254b \
    --hash=sha256:c41bfca0bd3532d53d16fd34d20806d5c2b1ace22a2f2e4c0008570bf2c58833 \
    --hash=sha256:cd47b4a0d41d2afa3e58e5bf1f62069255aa2fd6ff5ee41604418ca925911d76 \
    --hash=sha256:cdb650fc86227eba20de1a29d4b2c1bfe139dc75a0669270033cb2ea3d391b85 \
    --hash=sha256:cef2502e7e8a96fe5ad686d60b49e1ab03e438bd9123987994528febd569868e \
    --hash=sha256:d27be7405547d1f958b60837dc4c1007da90b8b23f54ba1f8b728c78fdb19d50 \
    --hash=sha256:d37017287a7adb6ab77e1c5bee9bcf9660f90ff445042b790402a654d2ad81d8 \
    --hash=sha256:d3ff32724f98fbbbfa9f49d82852b159e9784d6094983d9a8b7f2ddaebb063d4 \
    --hash=sha256:d73d8ecf8ecf10a3bd007f2192725a34bd62898e8da27eb9d32a58084f93962b \
    --hash=sha256:dd708cf4ee4408cf46a48b108fb9427bfa00b9b85812a9262b5c668af2533ea5 \
    --hash=sha256:e3cd95e10c2610c360154afdc2f1480aea394f4a4f1ea0a5eacce49640c9b190 \

=== debian/changelog ===
harfbuzz (10.2.0-2) experimental; urgency=medium

  * Upload to experimental for merged /usr transition
  * d/control: add dh-sequence-movetousr to build-deps

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Wed, 15 Jan 2025 19:45:32 +0100

harfbuzz (10.2.0-1) unstable; urgency=medium

  * New upstream version 10.2.0
  * d/libharfbuzz-subset0.symbols: Update symbols
  * Dropped cairo-Guard-hb_cairo_glyphs_from_buffer-against-bad-UTF-8.patch,
    applied upstream
  * Update copyright years

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Tue, 14 Jan 2025 22:20:38 +0100

=== debian/control ===
--- 
+++ 
@@ -18,8 +18,9 @@
  libgraphite2-dev,
  libgirepository1.0-dev,
  gtk-doc-tools,
+ dh-sequence-movetousr,
 Rules-Requires-Root: no
-Homepage: https://www.freedesktop.org/wiki/Software/HarfBuzz
+Homepage: https://harfbuzz.github.io/
 Vcs-Git: https://salsa.debian.org/freedesktop-team/harfbuzz.git
 Vcs-Browser: https://salsa.debian.org/freedesktop-team/harfbuzz

## harfbuzz 11.4.5

=== debian/changelog ===
harfbuzz (11.4.5-1) unstable; urgency=medium

  * New upstream release (Closes: #1112316)
  * d/control:
    + add dh-sequence-movetousr to build-deps
    + add help2man to build deps
    + update standards version to 4.7.2
  * d/libharfbuzz-bin.install: install utilties' man pages
  * d/libharfbuzz0b.symbols: update symbols
  * d/copyright: remove obsolete files
  * Add d/libharfbuzz-bin.lintian-overrides
  * Add d/libharfbuzz-gobject0.lintian-overrides
  * Add fix-man-whatis.patch to create man pages with useful whatis entry

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Tue, 02 Sep 2025 16:48:20 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
 Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-gir,
@@ -19,6 +19,7 @@
  libgirepository1.0-dev,
  gtk-doc-tools,
  dh-sequence-movetousr,
+ help2man,
 Rules-Requires-Root: no
 Homepage: https://harfbuzz.github.io/
 Vcs-Git: https://salsa.debian.org/freedesktop-team/harfbuzz.git

## harfbuzz 11.5.0

=== debian/changelog ===
harfbuzz (11.5.0-1) unstable; urgency=medium

  * New upstream release
  * d/libharfbuzz-gobject0.lintian-overrides: add wildcards for arch & lib
    version
  * d/control: update build-dep: libgirepository1.0-dev =>
    gobject-introspection (>= 1.80)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Wed, 17 Sep 2025 16:13:26 +0200

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  libfreetype-dev,
  libicu-dev,
  libgraphite2-dev,
- libgirepository1.0-dev,
+ gobject-introspection (>= 1.80),
  gtk-doc-tools,
  dh-sequence-movetousr,
  help2man,

## harfbuzz 12.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.14)
project(harfbuzz)

message(WARN "HarfBuzz has a Meson port and tries to migrate all the other build systems to it, please consider using it as we might remove our cmake port soon.")

if(POLICY CMP0063)
  cmake_policy(SET CMP0063 NEW)
endif()

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

## Disallow in-source builds, as CMake generated make files can collide with autotools ones
if (NOT MSVC AND "${PROJECT_BINARY_DIR}" STREQUAL "${PROJECT_SOURCE_DIR}")
  message(FATAL_ERROR
    "
In-source builds are not permitted!  Make a separate folder for"
    " building, e.g.,"
    "
  mkdir build; cd build; cmake .."
    "
Before that, remove the files created by this failed run with"
    "
  rm -rf CMakeCache.txt CMakeFiles")
endif ()


## HarfBuzz build configurations
option(HB_HAVE_CAIRO "Enable cairo interop helpers" OFF)
option(HB_HAVE_FREETYPE "Enable freetype interop helpers" OFF)
option(HB_HAVE_GRAPHITE2 "Enable Graphite2 complementary shaper" OFF)
option(HB_HAVE_GLIB "Enable glib unicode functions" OFF)
option(HB_HAVE_ICU "Enable icu unicode functions" OFF)
if (TARGET freetype)
  set (HB_HAVE_FREETYPE ON)
  add_definitions(-DHAVE_FREETYPE=1)
endif ()
if (APPLE)
  option(HB_HAVE_CORETEXT "Enable CoreText shaper backend on macOS" ON)
  set (CMAKE_MACOSX_RPATH ON)
endif ()
if (WIN32)
  option(HB_HAVE_UNISCRIBE "Enable Uniscribe shaper backend on Windows" OFF)
  option(HB_HAVE_GDI "Enable GDI integration helpers on Windows" OFF)
  option(HB_HAVE_DIRECTWRITE "Enable DirectWrite shaper backend on Windows" OFF)
endif ()
option(HB_BUILD_UTILS "Build harfbuzz utils, needs cairo, freetype, and glib properly be installed" OFF)
if (HB_BUILD_UTILS)
  set (HB_HAVE_GLIB ON)
  set (HB_HAVE_FREETYPE ON)
endif ()

option(HB_BUILD_SUBSET "Build harfbuzz-subset" ON)

option(HB_HAVE_GOBJECT "Enable GObject Bindings" OFF)
if (HB_HAVE_GOBJECT)
  set (HB_HAVE_GLIB ON)
endif ()

option(HB_HAVE_INTROSPECTION "Enable building introspection (.gir/.typelib) files" OFF)
if (HB_HAVE_INTROSPECTION)
  set (HB_HAVE_GOBJECT ON)
  set (HB_HAVE_GLIB ON)
endif ()

if (APPLE)
  option(BUILD_FRAMEWORK "Build as Apple Frameworks" OFF)
endif ()
if (BUILD_FRAMEWORK)
  set (CMAKE_MACOSX_RPATH ON)
  set (BUILD_SHARED_LIBS OFF)
endif ()

include_directories(AFTER
  ${PROJECT_SOURCE_DIR}/src
  ${PROJECT_BINARY_DIR}/src
)

# We need Python3_EXECUTABLE to be set for running the tests...
find_package(Python3 COMPONENTS Interpreter)

## Functions and headers
include (CheckFunctionExists)
include (CheckIncludeFile)
include (CheckIncludeFiles)
macro (check_funcs) # Similar to AC_CHECK_FUNCS of autotools
  foreach (func_name ${ARGN})
    string(TOUPPER ${func_name} definition_to_add)
    check_function_exists(${func_name} HAVE_${definition_to_add})
    if (${HAVE_${definition_to_add}})
      add_definitions(-DHAVE_${definition_to_add})
    endif ()
  endforeach ()
endmacro ()
if (UNIX)
  list(APPEND CMAKE_REQUIRED_LIBRARIES m)
endif ()
check_funcs(atexit mprotect sysconf getpagesize mmap isatty)
check_include_file(unistd.h HAVE_UNISTD_H)
if (${HAVE_UNISTD_H})
  add_definitions(-DHAVE_UNISTD_H)
endif ()
check_include_file(sys/mman.h HAVE_SYS_MMAN_H)
if (${HAVE_SYS_MMAN_H})
  add_definitions(-DHAVE_SYS_MMAN_H)
endif ()
check_include_file(stdbool.h HAVE_STDBOOL_H)
if (${HAVE_STDBOOL_H})
  add_definitions(-DHAVE_STDBOOL_H)
endif ()

# These will be used while making pkg-config .pc files
set(PC_REQUIRES_PRIV "")
set(PC_LIBS_PRIV "")

if (NOT MSVC)
  set(THREADS_PREFER_PTHREAD_FLAG ON)
  find_package(Threads)
  if (CMAKE_USE_PTHREADS_INIT)
    add_definitions("-DHAVE_PTHREAD")
    list(APPEND THIRD_PARTY_LIBS Threads::Threads)
    list(APPEND PC_LIBS_PRIV -pthread)
  endif ()
endif ()

if (MSVC)
  add_definitions(-wd4244 -wd4267 -D_CRT_SECURE_NO_WARNINGS -D_CRT_NONSTDC_NO_WARNINGS)
  add_definitions(-bigobj)
endif ()


## Detect if we are running inside a distribution or regular repository folder
# if (EXISTS "${PROJECT_SOURCE_DIR}/ChangeLog")
#   # perhaps we are on dist directory
#   set (IN_HB_DIST TRUE)
#   #set (HB_VERSION_H "${PROJECT_SOURCE_DIR}/src/hb-version.h")
# endif ()

file(READ meson.build MESONBUILD)
string(REGEX MATCH "version: '(([0-9]+)\\.([0-9]+)\\.([0-9]+))'," HB_VERSION_MATCH ${MESONBUILD})
set (HB_VERSION ${CMAKE_MATCH_1})
set (HB_VERSION_MAJOR ${CMAKE_MATCH_2})
set (HB_VERSION_MINOR ${CMAKE_MATCH_3})
set (HB_VERSION_MICRO ${CMAKE_MATCH_4})

## Define sources and headers of the project
set (project_sources ${PROJECT_SOURCE_DIR}/src/harfbuzz.cc) # use amalgam source
set (subset_project_sources
     ${PROJECT_SOURCE_DIR}/src/hb-number.cc
     ${PROJECT_SOURCE_DIR}/src/hb-number.hh
     ${PROJECT_SOURCE_DIR}/src/hb-ot-cff1-table.cc
     ${PROJECT_SOURCE_DIR}/src/hb-ot-cff2-table.cc
     ${PROJECT_SOURCE_DIR}/src/hb-ot-post-table-v2subset.hh
     ${PROJECT_SOURCE_DIR}/src/hb-static.cc
     ${PROJECT_SOURCE_DIR}/src/hb-subset-cff-common.cc
     ${PROJECT_SOURCE_DIR}/src/hb-subset-cff-common.hh
     ${PROJECT_SOURCE_DIR}/src/hb-subset-cff1.cc
     ${PROJECT_SOURCE_DIR}/src/hb-subset-cff2.cc
     ${PROJECT_SOURCE_DIR}/src/hb-subset-input.cc
     ${PROJECT_SOURCE_DIR}/src/hb-subset-input.hh
     ${PROJECT_SOURCE_DIR}/src/hb-subset-instancer-iup.hh
     ${PROJECT_SOURCE_DIR}/src/hb-subset-instancer-iup.cc
     ${PROJECT_SOURCE_DIR}/src/hb-subset-instancer-solver.hh
     ${PROJECT_SOURCE_DIR}/src/hb-subset-instancer-solver.cc
     ${PROJECT_SOURCE_DIR}/src/hb-subset-accelerator.hh
     ${PROJECT_SOURCE_DIR}/src/hb-subset-plan.cc
     ${PROJECT_SOURCE_DIR}/src/hb-subset-plan.hh
     ${PROJECT_SOURCE_DIR}/src/hb-subset-plan-layout.cc
     ${PROJECT_SOURCE_DIR}/src/hb-subset-plan-member-list.hh
     ${PROJECT_SOURCE_DIR}/src/hb-subset-plan-var.cc
     ${PROJECT_SOURCE_DIR}/src/hb-subset-serialize.cc
     ${PROJECT_SOURCE_DIR}/src/hb-subset-table-layout.cc
     ${PROJECT_SOURCE_DIR}/src/hb-subset-table-var.cc
     ${PROJECT_SOURCE_DIR}/src/hb-subset-table-cff.cc
     ${PROJECT_SOURCE_DIR}/src/hb-subset-table-color.cc
     ${PROJECT_SOURCE_DIR}/src/hb-subset-table-other.cc
     ${PROJECT_SOURCE_DIR}/src/hb-subset.cc
     ${PROJECT_SOURCE_DIR}/src/hb-subset.hh
     ${PROJECT_SOURCE_DIR}/src/hb-repacker.hh
     ${PROJECT_SOURCE_DIR}/src/graph/graph.hh
     ${PROJECT_SOURCE_DIR}/src/graph/gsubgpos-graph.hh
     ${PROJECT_SOURCE_DIR}/src/graph/gsubgpos-context.hh
     ${PROJECT_SOURCE_DIR}/src/graph/gsubgpos-context.cc
     ${PROJECT_SOURCE_DIR}/src/graph/coverage-graph.hh
     ${PROJECT_SOURCE_DIR}/src/graph/classdef-graph.hh
     ${PROJECT_SOURCE_DIR}/src/graph/pairpos-graph.hh
     ${PROJECT_SOURCE_DIR}/src/graph/markbasepos-graph.hh
     ${PROJECT_SOURCE_DIR}/src/graph/split-helpers.hh
     ${PROJECT_SOURCE_DIR}/src/graph/serialize.hh
     ${PROJECT_SOURCE_DIR}/src/OT/Color/COLR/colrv1-closure.hh
)
set (project_extra_sources)
set (project_headers
     ${PROJECT_SOURCE_DIR}/src/hb-aat-layout.h
     ${PROJECT_SOURCE_DIR}/src/hb-aat.h
     ${PROJECT_SOURCE_DIR}/src/hb-blob.h
     ${PROJECT_SOURCE_DIR}/src/hb-buffer.h
     ${PROJECT_SOURCE_DIR}/src/hb-common.h
     ${PROJECT_SOURCE_DIR}/src/hb-cplusplus.hh
     ${PROJECT_SOURCE_DIR}/src/hb-deprecated.h
     ${PROJECT_SOURCE_DIR}/src/hb-draw.h
     ${PROJECT_SOURCE_DIR}/src/hb-face.h
     ${PROJECT_SOURCE_DIR}/src/hb-font.h
     ${PROJECT_SOURCE_DIR}/src/hb-map.h
     ${PROJECT_SOURCE_DIR}/src/hb-ot-color.h
     ${PROJECT_SOURCE_DIR}/src/hb-ot-deprecated.h
     ${PROJECT_SOURCE_DIR}/src/hb-ot-font.h
     ${PROJECT_SOURCE_DIR}/src/hb-ot-layout.h
     ${PROJECT_SOURCE_DIR}/src/hb-ot-math.h
     ${PROJECT_SOURCE_DIR}/src/hb-ot-meta.h
     ${PROJECT_SOURCE_DIR}/src/hb-ot-metrics.h
     ${PROJECT_SOURCE_DIR}/src/hb-ot-name.h
     ${PROJECT_SOURCE_DIR}/src/hb-ot-shape.h
     ${PROJECT_SOURCE_DIR}/src/hb-ot-var.h
     ${PROJECT_SOURCE_DIR}/src/hb-ot.h
     ${PROJECT_SOURCE_DIR}/src/hb-paint.h
     ${PROJECT_SOURCE_DIR}/src/hb-set.h
     ${PROJECT_SOURCE_DIR}/src/hb-script-list.h
     ${PROJECT_SOURCE_DIR}/src/hb-shape-plan.h
     ${PROJECT_SOURCE_DIR}/src/hb-shape.h
     ${PROJECT_SOURCE_DIR}/src/hb-style.h
     ${PROJECT_SOURCE_DIR}/src/hb-unicode.h
     ${PROJECT_SOURCE_DIR}/src/hb-version.h
     ${PROJECT_SOURCE_DIR}/src/hb.h
)
set (subset_project_headers
     ${PROJECT_SOURCE_DIR}/src/hb-subset.h
     ${PROJECT_SOURCE_DIR}/src/hb-subset-serialize.h
)

## Find and include needed header folders and libraries
if (HB_HAVE_FREETYPE AND NOT TARGET freetype)
  include (FindFreetype)
  if (NOT FREETYPE_FOUND)
    message(FATAL_ERROR "HB_HAVE_FREETYPE was set, but we failed to find it. Maybe add a CMAKE_PREFIX_PATH= to your Freetype2 install prefix")
  endif ()

  list(APPEND THIRD_PARTY_LIBS ${FREETYPE_LIBRARIES})
  include_directories(AFTER ${FREETYPE_INCLUDE_DIRS})
  add_definitions(-DHAVE_FREETYPE=1)

  list(APPEND project_headers ${PROJECT_SOURCE_DIR}/src/hb-ft.h)

  # So check_funcs can find its headers
  set (CMAKE_REQUIRED_INCLUDES ${CMAKE_REQUIRED_INCLUDES} ${FREETYPE_INCLUDE_DIRS})
  set (CMAKE_REQUIRED_LIBRARIES ${CMAKE_REQUIRED_LIBRARIES} ${FREETYPE_LIBRARIES})

  check_funcs(FT_Get_Var_Blend_Coordinates FT_Set_Var_Blend_Coordinates FT_Done_MM_Var FT_Get_Transform)
endif ()

if (HB_HAVE_FREETYPE)
  list(APPEND PC_REQUIRES_PRIV "freetype2 >= 12.0.6")
endif ()

if (HB_HAVE_GRAPHITE2)
  add_definitions(-DHAVE_GRAPHITE2)

  find_path(GRAPHITE2_INCLUDE_DIR graphite2/Font.h)
  find_library(GRAPHITE2_LIBRARY graphite2)

  include_directories(${GRAPHITE2_INCLUDE_DIR})

  list(APPEND project_headers ${PROJECT_SOURCE_DIR}/src/hb-graphite2.h)

  list(APPEND THIRD_PARTY_LIBS ${GRAPHITE2_LIBRARY})

  list(APPEND PC_REQUIRES_PRIV "graphite2 >= 1.2.0")

  mark_as_advanced(GRAPHITE2_INCLUDE_DIR GRAPHITE2_LIBRARY)
endif ()

if (HB_HAVE_GLIB)
  add_definitions(-DHAVE_GLIB)

  # https://github.com/WebKit/webkit/blob/master/Source/cmake/FindGLIB.cmake
  find_package(PkgConfig)
  pkg_check_modules(PC_GLIB QUIET glib-2.0)

  find_library(GLIB_LIBRARIES NAMES glib-2.0 HINTS ${PC_GLIB_LIBDIR} ${PC_GLIB_LIBRARY_DIRS})
  find_path(GLIBCONFIG_INCLUDE_DIR NAMES glibconfig.h HINTS ${PC_LIBDIR} ${PC_LIBRARY_DIRS} ${PC_GLIB_INCLUDEDIR} ${PC_GLIB_INCLUDE_DIRS} PATH_SUFFIXES glib-2.0/include)
  find_path(GLIB_INCLUDE_DIR NAMES glib.h HINTS ${PC_GLIB_INCLUDEDIR} ${PC_GLIB_INCLUDE_DIRS} PATH_SUFFIXES glib-2.0)

  include_directories(${GLIBCONFIG_INCLUDE_DIR} ${GLIB_INCLUDE_DIR})

  list(APPEND project_headers ${PROJECT_SOURCE_DIR}/src/hb-glib.h)

  list(APPEND THIRD_PARTY_LIBS ${GLIB_LIBRARIES})

  list(APPEND PC_REQUIRES_PRIV "glib-2.0 >= 2.19.1")

  mark_as_advanced(GLIB_LIBRARIES GLIBCONFIG_INCLUDE_DIR GLIB_INCLUDE_DIR)
endif ()

if (HB_HAVE_ICU)
  add_definitions(-DHAVE_ICU)

  find_package(ICU REQUIRED COMPONENTS uc)

  if (ICU_VERSION VERSION_GREATER_EQUAL 75.1)
    set(CMAKE_CXX_STANDARD 17)
  endif ()

  list(APPEND project_headers ${PROJECT_SOURCE_DIR}/src/hb-icu.h)

  list(APPEND THIRD_PARTY_LIBS ICU::uc)
endif ()

if (APPLE AND HB_HAVE_CORETEXT)
  # Apple Advanced Typography
  add_definitions(-DHAVE_CORETEXT)

  list(APPEND project_headers ${PROJECT_SOURCE_DIR}/src/hb-coretext.h)

  if (HB_IOS)
    find_library(COREFOUNDATION CoreFoundation)
    if (COREFOUNDATION)
      list(APPEND THIRD_PARTY_LIBS ${COREFOUNDATION})
      list(APPEND PC_LIBS_PRIV "-framework CoreFoundation")
    endif ()
    mark_as_advanced(COREFOUNDATION)

    find_library(CORETEXT CoreText)
    if (CORETEXT)
      list(APPEND THIRD_PARTY_LIBS ${CORETEXT})
      list(APPEND PC_LIBS_PRIV "-framework CoreText")
    endif ()
    mark_as_advanced(CORETEXT)

    find_library(COREGRAPHICS CoreGraphics)
    if (COREGRAPHICS)
      list(APPEND THIRD_PARTY_LIBS ${COREGRAPHICS})
      list(APPEND PC_LIBS_PRIV "-framework CoreGraphics")
    endif ()
    mark_as_advanced(COREGRAPHICS)
  else ()
    find_library(APPLICATION_SERVICES_FRAMEWORK ApplicationServices)
    if (APPLICATION_SERVICES_FRAMEWORK)
      list(APPEND THIRD_PARTY_LIBS ${APPLICATION_SERVICES_FRAMEWORK})

=== debian/changelog ===
harfbuzz (12.1.0-1) unstable; urgency=medium

  * New upstream release
  * Drop redundant Rules-Requires-Root field
  * d/libharfbuzz0b.symbols: update symbols

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Wed, 01 Oct 2025 16:54:22 +0200

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,6 @@
  gtk-doc-tools,
  dh-sequence-movetousr,
  help2man,
-Rules-Requires-Root: no
 Homepage: https://harfbuzz.github.io/
 Vcs-Git: https://salsa.debian.org/freedesktop-team/harfbuzz.git
 Vcs-Browser: https://salsa.debian.org/freedesktop-team/harfbuzz

=== debian/tests/control ===
Tests: build
Depends: libharfbuzz-dev, build-essential, pkg-config
Restrictions: superficial

=== debian/watch ===
version=4
opts=searchmode=plain \
https://api.github.com/repos/@PACKAGE@/@PACKAGE@/releases \
https://github.com/@PACKAGE@/@PACKAGE@/releases/download/v?[\d.]+/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## harfbuzz 12.2.0

=== debian/changelog ===
harfbuzz (12.2.0-1) unstable; urgency=medium

  * New upstream release
  * d/control: drop dh-sequence-movetousr from build-deps (Closes: #1122764)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Fri, 12 Dec 2025 17:49:44 +0100

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,6 @@
  libgraphite2-dev,
  gobject-introspection (>= 1.80),
  gtk-doc-tools,
- dh-sequence-movetousr,
  help2man,
 Homepage: https://harfbuzz.github.io/
 Vcs-Git: https://salsa.debian.org/freedesktop-team/harfbuzz.git

## harfbuzz 12.3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.14)
 project(harfbuzz)
 
-message(WARN "HarfBuzz has a Meson port and tries to migrate all the other build systems to it, please consider using it as we might remove our cmake port soon.")
+message(WARNING "The main build system for HarfBuzz is Meson. CMake build support is community-maintained and is not actively supported by HarfBuzz developers.")
 
 if(POLICY CMP0063)
   cmake_policy(SET CMP0063 NEW)
@@ -33,7 +33,7 @@
 option(HB_HAVE_ICU "Enable icu unicode functions" OFF)
 if (TARGET freetype)
   set (HB_HAVE_FREETYPE ON)
-  add_definitions(-DHAVE_FREETYPE=1)
+  add_compile_definitions(HAVE_FREETYPE=1)
 endif ()
 if (APPLE)
   option(HB_HAVE_CORETEXT "Enable CoreText shaper backend on macOS" ON)
@@ -88,7 +88,7 @@
     string(TOUPPER ${func_name} definition_to_add)
     check_function_exists(${func_name} HAVE_${definition_to_add})
     if (${HAVE_${definition_to_add}})
-      add_definitions(-DHAVE_${definition_to_add})
+      add_compile_definitions(HAVE_${definition_to_add})
     endif ()
   endforeach ()
 endmacro ()
@@ -98,15 +98,15 @@
 check_funcs(atexit mprotect sysconf getpagesize mmap isatty)
 check_include_file(unistd.h HAVE_UNISTD_H)
 if (${HAVE_UNISTD_H})
-  add_definitions(-DHAVE_UNISTD_H)
+  add_compile_definitions(HAVE_UNISTD_H)
 endif ()
 check_include_file(sys/mman.h HAVE_SYS_MMAN_H)
 if (${HAVE_SYS_MMAN_H})
-  add_definitions(-DHAVE_SYS_MMAN_H)
+  add_compile_definitions(HAVE_SYS_MMAN_H)
 endif ()
 check_include_file(stdbool.h HAVE_STDBOOL_H)
 if (${HAVE_STDBOOL_H})
-  add_definitions(-DHAVE_STDBOOL_H)
+  add_compile_definitions(HAVE_STDBOOL_H)
 endif ()
 
 # These will be used while making pkg-config .pc files
@@ -117,15 +117,21 @@
   set(THREADS_PREFER_PTHREAD_FLAG ON)
   find_package(Threads)
   if (CMAKE_USE_PTHREADS_INIT)
-    add_definitions("-DHAVE_PTHREAD")
+    add_compile_definitions(HAVE_PTHREAD)
     list(APPEND THIRD_PARTY_LIBS Threads::Threads)
     list(APPEND PC_LIBS_PRIV -pthread)
   endif ()
 endif ()
 
+include (CheckCCompilerFlag)
 if (MSVC)
-  add_definitions(-wd4244 -wd4267 -D_CRT_SECURE_NO_WARNINGS -D_CRT_NONSTDC_NO_WARNINGS)
-  add_definitions(-bigobj)
+  add_compile_options(/wd4244 /wd4267) # lossy type conversion (e.g. double/size_t -> int)
+  add_compile_options(/bigobj) # hb-subset.cc -- compile error C1128: number of sections exceeded object file format limit
+  check_c_compiler_flag(/utf-8 MSVC_UTF8_FLAG_SUPPORTED)
+  if (MSVC_UTF8_FLAG_SUPPORTED)
+    add_compile_options(/utf-8) # set the input encoding to utf-8
+  endif ()
+  add_compile_definitions(_CRT_SECURE_NO_WARNINGS _CRT_NONSTDC_NO_WARNINGS)
 endif ()
 
 
@@ -237,7 +243,7 @@
 
   list(APPEND THIRD_PARTY_LIBS ${FREETYPE_LIBRARIES})
   include_directories(AFTER ${FREETYPE_INCLUDE_DIRS})
-  add_definitions(-DHAVE_FREETYPE=1)
+  add_compile_definitions(HAVE_FREETYPE=1)
 
   list(APPEND project_headers ${PROJECT_SOURCE_DIR}/src/hb-ft.h)
 
@@ -253,7 +259,7 @@
 endif ()
 
 if (HB_HAVE_GRAPHITE2)
-  add_definitions(-DHAVE_GRAPHITE2)
+  add_compile_definitions(HAVE_GRAPHITE2)
 
   find_path(GRAPHITE2_INCLUDE_DIR graphite2/Font.h)
   find_library(GRAPHITE2_LIBRARY graphite2)
@@ -270,7 +276,7 @@
 endif ()
 
 if (HB_HAVE_GLIB)
-  add_definitions(-DHAVE_GLIB)
+  add_compile_definitions(HAVE_GLIB)
 
   # https://github.com/WebKit/webkit/blob/master/Source/cmake/FindGLIB.cmake
   find_package(PkgConfig)
@@ -292,7 +298,7 @@
 endif ()
 
 if (HB_HAVE_ICU)
-  add_definitions(-DHAVE_ICU)
+  add_compile_definitions(HAVE_ICU)
 
   find_package(ICU REQUIRED COMPONENTS uc)
 
@@ -307,7 +313,7 @@
 
 if (APPLE AND HB_HAVE_CORETEXT)
   # Apple Advanced Typography
-  add_definitions(-DHAVE_CORETEXT)
+  add_compile_definitions(HAVE_CORETEXT)
 
   list(APPEND project_headers ${PROJECT_SOURCE_DIR}/src/hb-coretext.h)
 
@@ -325,14 +331,3 @@
       list(APPEND PC_LIBS_PRIV "-framework CoreText")
     endif ()
     mark_as_advanced(CORETEXT)
-
-    find_library(COREGRAPHICS CoreGraphics)
-    if (COREGRAPHICS)
-      list(APPEND THIRD_PARTY_LIBS ${COREGRAPHICS})
-      list(APPEND PC_LIBS_PRIV "-framework CoreGraphics")
-    endif ()
-    mark_as_advanced(COREGRAPHICS)
-  else ()
-    find_library(APPLICATION_SERVICES_FRAMEWORK ApplicationServices)
-    if (APPLICATION_SERVICES_FRAMEWORK)
-      list(APPEND THIRD_PARTY_LIBS ${APPLICATION_SERVICES_FRAMEWORK})

=== debian/changelog ===
harfbuzz (12.3.0-3) unstable; urgency=medium

  * d/control: drop dh-sequence-movetousr from build-deps again !

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Tue, 06 Jan 2026 17:53:30 +0100

harfbuzz (12.3.0-2) unstable; urgency=medium

  * d/libharfbuzz0-udeb.install: install in /usr/lib (Closes: #1124592)
  * Remove d/libharfbuzz-gobject0.lintian-overrides, as it overrides an
    obsolete tag

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Tue, 06 Jan 2026 16:25:40 +0100

harfbuzz (12.3.0-1) unstable; urgency=medium

  * New upstream release
  * d/control:
    + bump standards version to 4.7.3
    + d/control: add dh-sequence-movetousr to build-deps again
      (Closes: #1124592)

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sat, 03 Jan 2026 16:17:33 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>
 Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-gir,

## harfbuzz 12.3.1

=== debian/changelog ===
harfbuzz (12.3.1-1) unstable; urgency=medium

  * New upstream release
  * Dropped fix-CVE-2026-22693.patch, applied upstream

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sat, 24 Jan 2026 19:14:23 +0100

harfbuzz (12.3.0-4) unstable; urgency=medium

  * Update copyright years
  * Add fix-CVE-2026-22693.patch to fix CVE-2026-22693 (Closes: #1125189)
  * d/control: Drop redundant Priority: optional

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@users.sourceforge.net>  Sat, 10 Jan 2026 20:27:23 +0100
